Sweep2 - Inconsistent surfaces

Hello all,

I get inconsistent surfaces while trying to sweep 2 closed curves, which are located one over the other. Corners which are a little sharper lead to a lot of close spaced rails, as shown here.


As an input of the rs.AddSweep2 function, I give 2 closed contour and evenly spaced line segments which link the contours, as shown here:

The problem is, while tring to mesh the polysurface, I get an invalid mesh with long and thin triangles. Part of them are overlapping in the critical section.
Is there a way to rebuild the polysurface, or a way to control more parameters while doing the sweep?
Thank you very much!

1 Like

Hello - in the command, choose between re-fitting the rails and not - see if there is a difference you like. As for the rs function - that is not the command - the top level command may do a bunch of stuff to the rail curves as well as cook up some intermediate shape curves to hand off to the lower level function that is called by rs.AddSweep2() - Think that

Rhino.Geometry.Brep.CreateFromSweep(rail1, rail2, shapes, closed, tolerance)

expects the input curves to be massaged already if needed - that is what the command does and is what you’d have to do yourself to replicate the command.

-Pascal